<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Quests/Scripts/4_world/dayzexpansion_quests/systems/quests/questobjectiveevents/expansionquestobjectiveaivipevent.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d42/a02330_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionquestobjectiveaivipevent.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d42/a02330.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionQuestObjectiveAIVIPEvent.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#ifdef EXPANSIONMODAI</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="keyword">class </span>ExpansionQuestObjectiveAIVIPEvent: <a class="code hl_class" href="../../d4/d17/a06786.html">ExpansionQuestObjectiveEventBase</a></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> m_UpdateQueueTimer = 0;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">float</span> UPDATE_TICK_TIME = 2.0;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="keyword">protected</span> eAIBase m_VIP;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="keyword">protected</span> eAIGroup m_Group;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="comment"></span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="comment">    //! Event called when the player starts the quest</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="comment"></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d17/a06786.html#a2d3547dbb9d433fb04014a38bb609cbc">OnStart</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="preprocessor">    #ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.QUESTS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnStart&quot;</span>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span> (!super.OnStart())</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;   </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        CreateVIP();</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="preprocessor">    #ifdef EXPANSIONMODNAVIGATION</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        vector markerPosition = <a class="code hl_function" href="../../d4/d17/a06786.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().<a class="code hl_function" href="../../de/d9f/a06730.html#a161371887ce819582fa3843eac5938e8">GetPosition</a>();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordtype">string</span> markerName = <a class="code hl_function" href="../../d4/d17/a06786.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().<a class="code hl_function" href="../../de/d9f/a06730.html#ab7318a2597d9ad7fc04955bbc9795087">GetMarkerName</a>();</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">if</span> (markerName != <span class="keywordtype">string</span>.<a class="code hl_variable" href="../../dd/dfe/a03425.html#a485a613e738fa83e3959969b454068dd">Empty</a> || markerPosition != vector.Zero)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().CreateClientMarker(markerPosition, markerName);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="comment"></span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="comment">    //! Event called when the player continues the quest after a server restart/reconnect</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span><span class="comment"></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d17/a06786.html#a35ca4d86a35d81777b2b4091e190c97c">OnContinue</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="preprocessor">    #ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.QUESTS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnContinue&quot;</span>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">if</span> (!super.OnContinue())</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;   </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        CreateVIP();</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="preprocessor">    #ifdef EXPANSIONMODNAVIGATION</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        vector markerPosition = <a class="code hl_function" href="../../d4/d17/a06786.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().<a class="code hl_function" href="../../de/d9f/a06730.html#a161371887ce819582fa3843eac5938e8">GetPosition</a>();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordtype">string</span> markerName = <a class="code hl_function" href="../../d4/d17/a06786.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().<a class="code hl_function" href="../../de/d9f/a06730.html#ab7318a2597d9ad7fc04955bbc9795087">GetMarkerName</a>();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">if</span> (markerName != <span class="keywordtype">string</span>.<a class="code hl_variable" href="../../dd/dfe/a03425.html#a485a613e738fa83e3959969b454068dd">Empty</a> || markerPosition != vector.Zero)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            <a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().CreateClientMarker(markerPosition, markerName);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d17/a06786.html#ac4aa60cabc65f26a47dd083471c1623b">OnComplete</a>()</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span><span class="preprocessor">    #ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.QUESTS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnComplete&quot;</span>);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">if</span> (!super.OnComplete())</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;   </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <a class="code hl_class" href="../../d1/d2a/a04566.html">EmoteManager</a> npcEmoteManager = m_VIP.GetEmoteManager();</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">if</span> (!npcEmoteManager.IsEmotePlaying())</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            npcEmoteManager.PlayEmote(EmoteConstants.ID_EMOTE_GREETING);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            GetGame().GetCallQueue(CALL_CATEGORY_SYSTEM).CallLater(npcEmoteManager.ServerRequestEmoteCancel, 2000);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        m_Group.SetLeader(m_VIP);</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        m_Group.AddWaypoint(<a class="code hl_function" href="../../d4/d17/a06786.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().<a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        GetGame().GetCallQueue(CALL_CATEGORY_SYSTEM).CallLater(GetGame().ObjectDelete, 10000, <span class="keyword">false</span>, m_VIP);</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span><span class="comment"></span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span><span class="comment">    //! Event called when the quest gets cleaned up (server shutdown/player disconnect).</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="comment"></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d17/a06786.html#a957bdd3f303453314436fe5b448ed733">OnCleanup</a>()</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span><span class="preprocessor">    #ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.QUESTS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnCleanup&quot;</span>);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">if</span> (!super.OnCleanup())</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;   </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        GetGame().ObjectDelete(m_VIP);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span><span class="comment"></span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span><span class="comment">    //! Event called when the quest gets manualy canceled by the player.</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span><span class="comment"></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d17/a06786.html#a3cecb3d25bf72f00bb8f4502cd2ae004">OnCancel</a>()</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span><span class="preprocessor">    #ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.QUESTS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnCancel&quot;</span>);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordflow">if</span> (!super.OnCancel())</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;   </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        GetGame().ObjectDelete(m_VIP);</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    <span class="keywordtype">void</span> OnEntityKilled(EntityAI victim, EntityAI killer, Man killerPlayer = NULL)</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="preprocessor">    #ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.QUESTS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnEntityKilled&quot;</span>);</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        eAIBase victimAI = eAIBase.Cast(victim);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <span class="keywordflow">if</span> (victimAI &amp;&amp; victim == m_VIP)</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        {</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            <a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().<a class="code hl_function" href="../../d4/dab/a06622.html#abae0e0492b4610678f5ed0523a6c3808">GetQuestModule</a>().<a class="code hl_function" href="../../d8/d61/a06642.html#a7333784d006834c4e795678719a1c6fe">CancelQuestServer</a>(<a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestConfig().<a class="code hl_function" href="../../d6/d8f/a09397.html#a8801f650a68798314ce33ba4a0af2e27">GetID</a>(), <a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetPlayer().GetIdentity());</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        }</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span> </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> CreateVIP()</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    {</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span><span class="preprocessor">    #ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.QUESTS, <span class="keyword">this</span>, <span class="stringliteral">&quot;CreateVIP&quot;</span>);</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        ExpansionQuestObjectiveAIVIP vip = <a class="code hl_function" href="../../d4/d17/a06786.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().GetAIVIP();</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <span class="keywordflow">if</span> (!vip)</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span> </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <span class="comment">//vector pos = GetQuest().GetPlayer().GetPosition();</span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        m_Group = eAIGroup.GetGroupByLeader(<a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetPlayer());</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <span class="keywordflow">if</span> (!m_Group)</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span> </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        m_VIP = SpawnAI_VIP(<a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetPlayer(), vip.GetNPCLoadoutFile());</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordflow">if</span> (!m_VIP)</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span> </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        m_VIP.eAI_SetPassive();</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span> </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span><span class="preprocessor">        #ifdef EXPANSIONMODAI</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        m_Group.SetWaypointBehaviour(eAIWaypointBehavior.ALTERNATE);</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span><span class="preprocessor">        #else</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        GetGame().GetCallQueue(CALL_CATEGORY_SYSTEM).CallLater(m_VIP.RequestTransition, 10000, <span class="keyword">false</span>, <span class="stringliteral">&quot;Rejoin&quot;</span>);</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        m_VIP.SetAI(m_Group);</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    }</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    eAIBase SpawnAI_VIP(<a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> owner, <span class="keywordtype">string</span> loadout = <span class="stringliteral">&quot;HumanLoadout.json&quot;</span>)</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>    {</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span><span class="preprocessor">        #ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(<span class="keyword">this</span>, <span class="stringliteral">&quot;SpawnAI_VIP&quot;</span>);</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span> </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        eAIBase ai;</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <span class="keywordflow">if</span> (!Class.CastTo(ai, GetGame().CreateObject(GetRandomAI(), owner.GetPosition()))) <span class="keywordflow">return</span> null;</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span> </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        ai.SetGroup(eAIGroup.GetGroupByLeader(owner));</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <a class="code hl_class" href="../../d9/d98/a04610.html">ExpansionHumanLoadout</a>.<a class="code hl_function" href="../../d9/d98/a04610.html#a2194506612e0791bd87d5088fa854c7c">Apply</a>(ai, loadout, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        <span class="keywordflow">return</span> ai;</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span> </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d17/a06786.html#ac05b0c8704c70a0933b4061ec360505e">OnUpdate</a>(<span class="keywordtype">float</span> timeslice)</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    {</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        super.OnUpdate(timeslice);</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span><span class="comment"></span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span><span class="comment">        //! TODO: Check if OnUpdate is still running after Quest got auto-canceled when timeout reached</span></div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span><span class="comment"></span>        <span class="keywordflow">if</span> (!m_VIP)</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span> </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        m_UpdateQueueTimer += timeslice;</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        <span class="keywordflow">if</span> (m_UpdateQueueTimer &gt;= UPDATE_TICK_TIME)</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        {</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>            vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> = <a class="code hl_function" href="../../d4/d17/a06786.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().<a class="code hl_function" href="../../de/d9f/a06730.html#a161371887ce819582fa3843eac5938e8">GetPosition</a>();</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            <span class="keywordtype">float</span> maxDistance = <a class="code hl_function" href="../../d4/d17/a06786.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().<a class="code hl_function" href="../../de/d9f/a06730.html#aaa1417c5a1308120b02853b21790b41b">GetMaxDistance</a>();</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span><span class="comment"></span> </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span><span class="comment">            //! Set the position of the VIP AI NPC for the distance to the target location as our current position</span></div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span><span class="comment"></span>            vector vipPos = m_VIP.GetPosition();</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>            <span class="keywordtype">float</span> currentDistance = vector.Distance(vipPos, <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>);</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>            <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[1] = GetGame().SurfaceY(<a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[0], <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[2]);</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span> </div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>            <span class="keywordflow">if</span> (maxDistance &lt; 10)</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>                maxDistance = 10.0;</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span> </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> != vector.Zero &amp;&amp; currentDistance &lt;= maxDistance)</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>            {</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>                <a class="code hl_function" href="../../d4/d17/a06786.html#a6d46f053353663a1e91978b5e3cf6995">SetCompleted</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>                <a class="code hl_function" href="../../d4/d17/a06786.html#ac4aa60cabc65f26a47dd083471c1623b">OnComplete</a>();</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>            }</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span> </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>            m_UpdateQueueTimer = 0.0;</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        }</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    }</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span> </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    vector <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>()</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>    {</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d4/d17/a06786.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().<a class="code hl_function" href="../../de/d9f/a06730.html#a161371887ce819582fa3843eac5938e8">GetPosition</a>();</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    }</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span> </div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d4/d17/a06786.html#af19dcb3522b0f01ca851ecb446b757a5">GetObjectiveType</a>()</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    {</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d6/d41/a02222.html#aabce516118dec3a3b68bd2e23c8894af">ExpansionQuestObjectiveType</a>.AIVIP;</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>    }</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>};</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aa00134_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d76/a00134_source.html#l00293">expansionterritory.c:293</a></div></div>
<div class="ttc" id="aa00722_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa02222_html_aabce516118dec3a3b68bd2e23c8894af"><div class="ttname"><a href="../../d6/d41/a02222.html#aabce516118dec3a3b68bd2e23c8894af">ExpansionQuestObjectiveType</a></div><div class="ttdeci">ExpansionQuestObjectiveType</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d41/a02222_source.html#l00013">expansionquestobjectivetype.c:14</a></div></div>
<div class="ttc" id="aa02441_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd6/a02441_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa03425_html_a485a613e738fa83e3959969b454068dd"><div class="ttname"><a href="../../dd/dfe/a03425.html#a485a613e738fa83e3959969b454068dd">Empty</a></div><div class="ttdeci">Empty</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfe/a03425_source.html#l00029">expansionlauncher.c:29</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04566_html"><div class="ttname"><a href="../../d1/d2a/a04566.html">EmoteManager</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/a00974_source.html#l00013">expansionemotemanager.c:14</a></div></div>
<div class="ttc" id="aa04610_html"><div class="ttname"><a href="../../d9/d98/a04610.html">ExpansionHumanLoadout</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8d/a01007_source.html#l00003">expansionloadout.c:4</a></div></div>
<div class="ttc" id="aa04610_html_a2194506612e0791bd87d5088fa854c7c"><div class="ttname"><a href="../../d9/d98/a04610.html#a2194506612e0791bd87d5088fa854c7c">ExpansionHumanLoadout::Apply</a></div><div class="ttdeci">static bool Apply(EntityAI other, string file, bool forceReload=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8d/a01007_source.html#l03131">expansionloadout.c:3131</a></div></div>
<div class="ttc" id="aa06622_html_abae0e0492b4610678f5ed0523a6c3808"><div class="ttname"><a href="../../d4/dab/a06622.html#abae0e0492b4610678f5ed0523a6c3808">ExpansionQuest::GetQuestModule</a></div><div class="ttdeci">ExpansionQuestModule GetQuestModule()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db7/a02198_source.html#l01022">expansionquest.c:1022</a></div></div>
<div class="ttc" id="aa06642_html_a7333784d006834c4e795678719a1c6fe"><div class="ttname"><a href="../../d8/d61/a06642.html#a7333784d006834c4e795678719a1c6fe">ExpansionQuestModule::CancelQuestServer</a></div><div class="ttdeci">void CancelQuestServer(int questID, PlayerIdentity identity)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1e/a02210_source.html#l01841">expansionquestmodule.c:1841</a></div></div>
<div class="ttc" id="aa06730_html_a161371887ce819582fa3843eac5938e8"><div class="ttname"><a href="../../de/d9f/a06730.html#a161371887ce819582fa3843eac5938e8">ExpansionQuestObjectiveConfig::GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/a02291_source.html#l00091">expansionquestobjectiveconfigbase.c:91</a></div></div>
<div class="ttc" id="aa06730_html_aaa1417c5a1308120b02853b21790b41b"><div class="ttname"><a href="../../de/d9f/a06730.html#aaa1417c5a1308120b02853b21790b41b">ExpansionQuestObjectiveConfig::GetMaxDistance</a></div><div class="ttdeci">float GetMaxDistance()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/a02291_source.html#l00096">expansionquestobjectiveconfigbase.c:96</a></div></div>
<div class="ttc" id="aa06730_html_ab7318a2597d9ad7fc04955bbc9795087"><div class="ttname"><a href="../../de/d9f/a06730.html#ab7318a2597d9ad7fc04955bbc9795087">ExpansionQuestObjectiveConfig::GetMarkerName</a></div><div class="ttdeci">string GetMarkerName()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/a02291_source.html#l00101">expansionquestobjectiveconfigbase.c:101</a></div></div>
<div class="ttc" id="aa06786_html"><div class="ttname"><a href="../../d4/d17/a06786.html">ExpansionQuestObjectiveEventBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00013">expansionquestobjectiveeventbase.c:14</a></div></div>
<div class="ttc" id="aa06786_html_a2d3547dbb9d433fb04014a38bb609cbc"><div class="ttname"><a href="../../d4/d17/a06786.html#a2d3547dbb9d433fb04014a38bb609cbc">ExpansionQuestObjectiveEventBase::OnStart</a></div><div class="ttdeci">bool OnStart()</div><div class="ttdoc">Event called when the player starts the quest.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00101">expansionquestobjectiveeventbase.c:101</a></div></div>
<div class="ttc" id="aa06786_html_a35ca4d86a35d81777b2b4091e190c97c"><div class="ttname"><a href="../../d4/d17/a06786.html#a35ca4d86a35d81777b2b4091e190c97c">ExpansionQuestObjectiveEventBase::OnContinue</a></div><div class="ttdeci">bool OnContinue()</div><div class="ttdoc">Event called when the player continues the quest after a server restart/reconnect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00143">expansionquestobjectiveeventbase.c:143</a></div></div>
<div class="ttc" id="aa06786_html_a3cecb3d25bf72f00bb8f4502cd2ae004"><div class="ttname"><a href="../../d4/d17/a06786.html#a3cecb3d25bf72f00bb8f4502cd2ae004">ExpansionQuestObjectiveEventBase::OnCancel</a></div><div class="ttdeci">bool OnCancel()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00134">expansionquestobjectiveeventbase.c:134</a></div></div>
<div class="ttc" id="aa06786_html_a5a008942dca0db43ed6d1c103b185d89"><div class="ttname"><a href="../../d4/d17/a06786.html#a5a008942dca0db43ed6d1c103b185d89">ExpansionQuestObjectiveEventBase::GetObjectiveConfig</a></div><div class="ttdeci">ExpansionQuestObjectiveConfig GetObjectiveConfig()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00193">expansionquestobjectiveeventbase.c:193</a></div></div>
<div class="ttc" id="aa06786_html_a6d46f053353663a1e91978b5e3cf6995"><div class="ttname"><a href="../../d4/d17/a06786.html#a6d46f053353663a1e91978b5e3cf6995">ExpansionQuestObjectiveEventBase::SetCompleted</a></div><div class="ttdeci">void SetCompleted(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00067">expansionquestobjectiveeventbase.c:67</a></div></div>
<div class="ttc" id="aa06786_html_a957bdd3f303453314436fe5b448ed733"><div class="ttname"><a href="../../d4/d17/a06786.html#a957bdd3f303453314436fe5b448ed733">ExpansionQuestObjectiveEventBase::OnCleanup</a></div><div class="ttdeci">bool OnCleanup()</div><div class="ttdoc">Event called when the quest gets cleaned up.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00152">expansionquestobjectiveeventbase.c:152</a></div></div>
<div class="ttc" id="aa06786_html_a9cab02faa3af84e665984b41837ff6e0"><div class="ttname"><a href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">ExpansionQuestObjectiveEventBase::GetQuest</a></div><div class="ttdeci">ExpansionQuest GetQuest()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00042">expansionquestobjectiveeventbase.c:42</a></div></div>
<div class="ttc" id="aa06786_html_ac05b0c8704c70a0933b4061ec360505e"><div class="ttname"><a href="../../d4/d17/a06786.html#ac05b0c8704c70a0933b4061ec360505e">ExpansionQuestObjectiveEventBase::OnUpdate</a></div><div class="ttdeci">void OnUpdate(float timeslice)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00164">expansionquestobjectiveeventbase.c:164</a></div></div>
<div class="ttc" id="aa06786_html_ac4aa60cabc65f26a47dd083471c1623b"><div class="ttname"><a href="../../d4/d17/a06786.html#ac4aa60cabc65f26a47dd083471c1623b">ExpansionQuestObjectiveEventBase::OnComplete</a></div><div class="ttdeci">bool OnComplete()</div><div class="ttdoc">Event called when objective is completed.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00110">expansionquestobjectiveeventbase.c:110</a></div></div>
<div class="ttc" id="aa06786_html_af19dcb3522b0f01ca851ecb446b757a5"><div class="ttname"><a href="../../d4/d17/a06786.html#af19dcb3522b0f01ca851ecb446b757a5">ExpansionQuestObjectiveEventBase::GetObjectiveType</a></div><div class="ttdeci">int GetObjectiveType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00225">expansionquestobjectiveeventbase.c:225</a></div></div>
<div class="ttc" id="aa09397_html_a8801f650a68798314ce33ba4a0af2e27"><div class="ttname"><a href="../../d6/d8f/a09397.html#a8801f650a68798314ce33ba4a0af2e27">GetID</a></div><div class="ttdeci">string GetID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8f/a09397_source.html#l00109">expansionpartyplayerdata.c:109</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_1aeb20201abd12b8e4cbe340a915686e.html">Quests</a></li><li class="navelem"><a class="el" href="../../dir_29e5a841f4af4b583623a745e009ef31.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_6229eaf44b730d10fc037c21be0cc9d2.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_41bb0a1ba7a249856ef624b7024ff764.html">dayzexpansion_quests</a></li><li class="navelem"><a class="el" href="../../dir_2cb013c5fea97d25b3c5e425100cdce5.html">systems</a></li><li class="navelem"><a class="el" href="../../dir_eb26c162496b02eac2af2f3f20c5c189.html">quests</a></li><li class="navelem"><a class="el" href="../../dir_4b9dc1fdf47eec74776374fd2a5a67ad.html">questobjectiveevents</a></li><li class="navelem"><a class="el" href="../../d4/d42/a02330.html">expansionquestobjectiveaivipevent.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
